<?php

/*
     Bot Lane Gallery Generator
     (c) Scriptol.com
    
    Input:
    - List of images
    - Title of the page (optional)
    - Path of the file to create
    - Number of columns (1 column for a vertical gallery)
    
*/

include_once("authorize.php");	
checkUser();  

$galist = array();
$title = "";
$path = "";
$fhandle = false;

function disp($str)
{
   global $infile;
   global $fhandle;  
   
   if($infile)
   {
      fwrite($fhandle, $str."\n");
      return;
   }
   print $str. "\n";
}


function generate()
{
    global $target;
    global $galist;
    global $title; 
    global $columns;  
    global $fhandle;
    global $infile;

    $data = "";
    
    if($infile)
    {
      $fhandle = fopen($target, "w");
      if($fhandle == false)
        die("Enable to create $target");    
    } 

    disp('<html><head>');
    if($title)
      disp('<title>'.$title.'</title>');
    disp('<link type="text/css" href="gallery.css" rel="stylesheet"></head>');
    disp('<body>');
    disp('<div id="content">');
    if($title)
      disp('<h1>'.$title.'</h1>');
     
    $colctr = 0;      
    foreach($galist as $img)
    {
      $data .= '<img class="thumb" src="'.$img.'" />';
      if(($columns > 0) && (++$colctr >= $columns))
      {
        $data .= '<br>';
        $colctr = 0;
      }  
    }  
    if($infile)
      print $data."<br>";    
    disp($data);
    disp('</div>');
    disp('</body></html>');
    
    if($infile) fclose($fhandle);
}    
    
   
define('ABSPATH', $_SERVER['DOCUMENT_ROOT']);    
$typed = preg_replace("/[^_A-Za-z0-9-\.%\/]/i",'', $_POST["target"]);
$target = ABSPATH.preg_replace("/\.\.\//",'', $typed);

if($typed && (strlen($typed) > 1))
{
  if(file_exists($target))
    die("'$typed' already created, change the name, please.");
  $infile = true;  
}    

$title = $_POST["title"];
$columns = $_POST["columns"];


foreach($_POST as $key => $value)
{
   if(strlen($key) < 3) continue;
   if(substr($key, 0, 2) != "cb") continue;
   array_push($galist, $value);  
}


generate();   

if($fhandle)
{
  print "$target generated.<br>";
}

?>
