<?php

	  include_once("authorize.php");	
    checkUser();    

    $display = 0;                        
    $fcount = 0;                          
    $dcount = 0;                      
    $date = time();                      
    $one_day = 86400;
    $filepattern = "/[^_A-Za-z0-9-\.%\/]/i";
    $days = preg_replace("/[^0-9]/i",'', $_POST["days"]); 
    $path = preg_replace($filepattern,'', $_POST["path"]);   
    $path = preg_replace("/\.\.\//",'', $path);   
    $rss = preg_replace($filepattern,'', $_POST["rssfile"]);   
    $rss = preg_replace("/\.\.\//",'', $rss);
    $pageonly = $_POST["pageonly"];
    
    define('ABSPATH', $_SERVER['DOCUMENT_ROOT']);
    $path = ABSPATH.$path;   
    $dirlist[0] = $path;
    $rootlen = strlen(ABSPATH);
    
    $protocol = $_SERVER['SERVER_PROTOCOL'];
    $protocol = preg_split("/[^a-z|A-Z]/i", $protocol);
    $protocol=strtolower($protocol[0]);
    $domain = $_SERVER['HTTP_HOST'];
    $root = $protocol."://".$domain;

    $rssurl = $rss;
    if($rss[0] == "/") $rssurl = $root.$rss;
    
    include_once("ini.php");
    readIni();

    function isPage($url)
    {
      $ext = strrchr($url, ".");
      return isValid($ext);
    } 

?>
    
<html>
<head>
<title>RSS Generator</title>
<link type="text/css" href="script.css" rel="stylesheet">
<meta name="robots" content="none">
<script src="anaa.js" type="text/javascript"></script>

<style type="text/css">
.subm
{
  margin:8px;
}
</style>
<script type="text/javascript">

// List of valid extensions for web pages

/*
var extensions = ["php","php3","php4","php5","php6","php7","htm","html","asp","aspx","xhtml"];
function isValid(url)
{
  var dot = url.lastIndexOf(".");
  var ext = url.slice(dot + 1);
      
  for(i = 0; i < extensions.length; i++)
  {
    if(ext == extensions[i]) return true;
  }  
  return false;  
} 
*/

function chState(element)
{
  element.value = element.checked;
}

function finished(res)
{
  alert(res);
}

function addToRSS(url)
{
  var scriptname = "rss-build.php";
  var feed = document.rss.rssfile.value;
  var param = "feed=" + feed + "&link=" + url;

	AAWrite(scriptname, param, finished);
  
}

function seeRSS()
{
  var rss = document.rss.rssfile.value;

<?php
  if($rss != "")  echo "rss=\"$rss\";";
?>

  if(rss.charAt(0) == "/")
  {
    var protocol = window.location.protocol;
    var domain = window.location.host;
    rss = protocol + "//" + domain + rss;
  }

  window.location = rss + "?nocache=" + Math.random();
}

</script>
</head>
<body>
<div id="content">
<h2>RSS Auto Selector</h2>

<form method="post" name="rss" id="rss" action="">
Period (last days) : 
<input type="text" name="days" maxlength="4" size="4" value="5"> days

<span style="margin-left:16px">Feed max items:</span> 
<input type="text" name="feedmax" maxlength="2" size="2" value="15">

<span style="margin-left:16px">The starting directory:</span> 
<input type="text" name="path" maxlength="80" size="30" value="/" >

<br> 
Feed:<input class="subm" type="text" name="rssfile" id="rssfile" maxlength="80" size="30" value="/rss.xml" >
Pages only: <input type="checkbox" name="pageonly" checked onchange="this.value=this.checked">
<input class="subm" type="submit" value="Check files"> 
<input type="button" value="View RSS" onclick="seeRSS(this)">
</form>

  
<?php  
    $display = $one_day * $days;

    if ( $display > 0 )
   {
        print "<br /> Last <strong>" . ($display/$one_day) ."</strong> days: <br /><br />";   
        print "<table><tr><td><u>Add</u></td><td><b><u>Filename</u></b></td><td><b><u>Last modified date</u></b></td></tr>";
        $diff = $date - $display;
        $i = 0;
        while($i <= $dcount)
        {
            $currdir = $dirlist[$i];
            $dircontent = opendir($currdir);
            while ($fname = readdir($dircontent))
            {
                if($fname == '.' ) continue; 
                if($fname == '..') continue;
                
                $fullpath = $currdir . $fname;
                if (is_dir($fullpath))
                {
                    $dcount++;
                    $dirlist[$dcount] = "$fullpath/";
                }
                else
                {
                    if($pageonly && !isPage($fullpath)) continue;
                    if(filemtime($fullpath) > $diff)
                    {
                       $relname = substr($fullpath, $rootlen);
                       $url = $root.$relname;
                       print "<tr>";
                       print "<td><input type='button' value='RSS' onClick=\"addToRSS('".$url."')\"</td>";
                       print "<td>$relname</td>";
                       $lastmod = filemtime($fullpath);
                       $fdate = date("M d, Y  -  H:i:s", $lastmod);
                       print  "<td>$fdate</td></tr>\n" ;
                       $fcount++;
                    }
               }
             }
            closedir($dircontent);
            $i++;    
        }
            print "</table><br>$fcount files.";    
    }
    else
    {
      print "<Empty>";
    }
        
?>

</div>
</body>
</html> 
