<?php

	/**	Bot Lane 
	    Build RSS 
		 (c) 2009 Denis Sureau - Scriptol.com
		  Licence GNU GPL 3.
	*/

  include_once("authorize.php");	
  checkUser();
    
	include_once("ara-class.php");

	$unwanted = array("\r\n", "\n", "\r", "\t", "  ");  // char to replace

  function araMessage($message)
  {
    echo $message; 
  }

  function buildRSS()
  {
    $feed = new ara();
    $domain = $_SERVER['HTTP_HOST'];
    $url = "http://".$domain;
    $feed->build($url);
  }

  // Main

	if(! $registered) 
	{
	  araMessage("User $ulogin not registered");
		die("You must be registered to use this program.");
	}

	if (isset( $_POST ))
		$posted = &$_POST ;			
	else
		$posted = &$HTTP_POST_VARS ;	

	$feed =  $posted["feed"];
  $domain = $_SERVER['HTTP_HOST'];
  $home = "http://".$domain."/";
  $remotedir = $_SERVER['DOCUMENT_ROOT'];
  $feedmax = intval($posted["feedmax"]);
  
  if($feedmax == 0)
    $feedmax = -1;
   

  if($feed == "") die("No feed filename");
  
  if($feed[0] == "/")
    $feed = $remotedir.$feed;
  else
  {
    if(strtolower(substr($feed, 0, 7)) != "http://")
      $feed = getcwd().$feed;
  }   

	$ext = "";
	$l=strripos($feed, ".");
	if($l !== false)
		$ext = strtolower(substr($feed, $l));


	if(! in_array($ext, array(".xml", ".rss", ".atom", ".rdf", ".feed")))
		die("$feed: $ext bad extension in feed filename");

	$myfeed = new Ara();

  // Loading the feed of building it when failing  

  if($myfeed->load($feed) == false)
  {
    $myfeed->build($home);
  } 	
  
  $filepattern = "/[^_A-Za-z0-9-:\.%\/]/i";  

	foreach($posted as $key => $url)
	{
		if(strlen($key) < 4) continue;		// unknown
		$key = substr($key, 0, 4);
    
    $url = preg_replace($filepattern,'', $url);   

		if(strcasecmp($key, "link") == 0) 	
		{
			list($title, $desc, $date) = $myfeed->getData($url);
			$myfeed->ARAItem($title, $url, $desc, $date);
			continue;
		}	
	}
	
	$myfeed->compress($feedmax);

	$ximage = $myfeed->saveXML();
	$xf = fopen($feed, "w");
	if($xf != false)
	{
		fwrite($xf, $ximage);
		fclose($xf);
	  echo "$feed updated";
	}
	else
	{
    echo "Error: Enable to open $feed, NOT CREATED.";
  }  
  


?>
